Bug 1411136 - [abrt] WARNING: CPU: 1 PID: 1411 at drivers/net/wireless/intel/iwlwifi/mvm/mac-ctxt.c:1327 iwl_mvm_mac_ctxt_add+0xbb/0xd0 [iwlmvm] [NEEDINFO]
Summary: [abrt] WARNING: CPU: 1 PID: 1411 at drivers/net/wireless/intel/iwlwifi/mvm/ma...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ed69182bd2c3176a281a60e81b6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 17:53 UTC by Clemens Eisserer
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:13:05 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (68.80 KB, text/plain)
2017-01-08 17:54 UTC, Clemens Eisserer
no flags Details

Description Clemens Eisserer 2017-01-08 17:53:49 UTC
Description of problem:
toggled rf-kill switch

Additional info:
reporter:       libreport-2.8.0
WARNING: CPU: 1 PID: 1411 at drivers/net/wireless/intel/iwlwifi/mvm/mac-ctxt.c:1327 iwl_mvm_mac_ctxt_add+0xbb/0xd0 [iwlmvm]
Adding active MAC f8:16:54:e3:ad:0a/10
Modules linked in: rfcomm cmac bnep arc4 btusb btrtl btbcm btintel bluetooth pn544_mei mei_phy uvcvideo pn544 hci videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 nfc videobuf2_core intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp mei_wdt videodev kvm_intel iTCO_wdt iTCO_vendor_support dell_wmi sparse_keymap ppdev iwlmvm media kvm mac80211 dell_laptop dell_smbios dcdbas qcserial iwlwifi usb_wwan irqbypass dell_smm_hwmon intel_cstate cfg80211 intel_uncore intel_rapl_perf snd_hda_codec_realtek mei_me snd_hda_codec_generic snd_hda_codec_hdmi joydev mei shpchp i2c_i801 i2c_smbus snd_soc_rt5640 lpc_ich snd_soc_rl6231 wmi snd_soc_core snd_hda_intel parport_pc snd_hda_codec snd_hda_core snd_compress parport snd_pcm_dmaengine snd_hwdep ac97_bus snd_seq snd_seq_device snd_soc_sst_acpi
 dw_dmac snd_soc_sst_match dw_dmac_core snd_pcm elan_i2c snd_timer dell_rbtn snd i2c_designware_platform i2c_designware_core rfkill spi_pxa2xx_platform tpm_tis soundcore tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc btrfs xor raid6_pq dm_crypt cdc_mbim cdc_wdm cdc_ncm usbnet mii i915 crct10dif_pclmul crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper ghash_clmulni_intel e1000e drm serio_raw ptp sdhci_pci pps_core sdhci_acpi sdhci mmc_core video i2c_hid fjes
CPU: 1 PID: 1411 Comm: wpa_supplicant Not tainted 4.8.15-300.fc25.x86_64 #1
Hardware name: Dell Inc. Latitude E7240/05PTPV, BIOS A15 05/19/2015
 0000000000000286 00000000190aa3a2 ffff8cd73d18b918 ffffffffa93e5e1d
 ffff8cd73d18b968 0000000000000000 ffff8cd73d18b958 ffffffffa90a0e8b
 0000052f0000001d ffff8cd73ebcac88 ffff8cd73ebcab40 ffff8cd747e85580
Call Trace:
 [<ffffffffa93e5e1d>] dump_stack+0x63/0x86
 [<ffffffffa90a0e8b>] __warn+0xcb/0xf0
 [<ffffffffa90a0f0f>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffffc0d0d97b>] iwl_mvm_mac_ctxt_add+0xbb/0xd0 [iwlmvm]
 [<ffffffffc0d06a5a>] iwl_mvm_mac_add_interface+0xfa/0x270 [iwlmvm]
 [<ffffffffc0b908be>] drv_add_interface+0x4e/0x130 [mac80211]
 [<ffffffffc0ba5a75>] ieee80211_do_open+0x435/0x950 [mac80211]
 [<ffffffffc0bab7e9>] ieee80211_start_p2p_device+0x59/0x70 [mac80211]
 [<ffffffffc0aed836>] nl80211_start_p2p_device+0x76/0x120 [cfg80211]
 [<ffffffffa971589b>] genl_family_rcv_msg+0x1db/0x3c0
 [<ffffffffa97120ae>] ? __netlink_sendskb+0x3e/0x60
 [<ffffffffa9715a80>] ? genl_family_rcv_msg+0x3c0/0x3c0
 [<ffffffffa9715b07>] genl_rcv_msg+0x87/0xc0
 [<ffffffffa9715004>] netlink_rcv_skb+0xa4/0xc0
 [<ffffffffa97156a8>] genl_rcv+0x28/0x40
 [<ffffffffa97149ec>] netlink_unicast+0x18c/0x220
 [<ffffffffa9714d77>] netlink_sendmsg+0x2f7/0x3b0
 [<ffffffffa96bca78>] sock_sendmsg+0x38/0x50
 [<ffffffffa96bd582>] ___sys_sendmsg+0x2c2/0x2d0
 [<ffffffffa96bca78>] ? sock_sendmsg+0x38/0x50
 [<ffffffffa96bd081>] ? SYSC_sendto+0x101/0x190
 [<ffffffffa96bded4>] __sys_sendmsg+0x54/0x90
 [<ffffffffa96bdf22>] SyS_sendmsg+0x12/0x20
 [<ffffffffa9803b72>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Potential duplicate: bug 1380939

Comment 1 Clemens Eisserer 2017-01-08 17:54:01 UTC
Created attachment 1238412 [details]
File: dmesg

Comment 2 Emmanuel Grumbach 2017-01-11 17:48:02 UTC
All this starts with:

[   34.283853] iwlwifi 0000:02:00.0: RF_KILL bit toggled to disable radio.
[   34.369902] atkbd serio0: Unknown key pressed (translated set 2, code 0x88 on isa0060/serio0).
[   34.369903] atkbd serio0: Use 'setkeycodes e008 <keycode>' to make it known.
[   34.380550] iwlwifi 0000:02:00.0: Failed to wake NIC for hcmd
[   34.380582] iwlwifi 0000:02:00.0: Error sending TXPATH_FLUSH: enqueue_hcmd failed: -5

Comment 3 Laura Abbott 2017-01-17 01:22:27 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 4 Clemens Eisserer 2017-01-25 22:27:54 UTC
Description of problem:
toggled rf-kill switch

Version-Release number of selected component:
kernel-core-4.9.5-200.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.9.5-200.fc25.x86_64 root=UUID=8ef19d08-fbaf-4b64-a602-b6bf2c48f4fa ro selinux=0 rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=us rd.luks.uuid=luks-1e321a4a-03a8-4b44-97aa-85fdb57b4c7b vconsole.font=latarcyrheb-sun16 quiet LANG=en_US.UTF-8
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1436 at drivers/net/wireless/intel/iwlwifi/mvm/mac-ctxt.c:1325 iwl_mvm_mac_ctxt_add+0xbb/0xd0 [iwlmvm]
Adding active MAC f8:16:54:e3:ad:0a/10
Modules linked in: rndis_host cdc_ether rfcomm cmac bnep arc4 btusb btrtl btbcm btintel bluetooth iwlmvm uvcvideo pn544_mei videobuf2_vmalloc mei_phy mac80211 videobuf2_memops videobuf2_v4l2 pn544 videobuf2_core hci videodev nfc mei_wdt iTCO_wdt dell_wmi media iwlwifi iTCO_vendor_support ppdev sparse_keymap qcserial usb_wwan intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp cfg80211 kvm_intel kvm dell_laptop dell_smbios dcdbas dell_smm_hwmon joydev irqbypass intel_cstate intel_uncore intel_rapl_perf snd_hda_codec_realtek i2c_i801 i2c_smbus snd_hda_codec_generic snd_hda_codec_hdmi mei_me shpchp lpc_ich snd_hda_intel mei snd_soc_rt5640 wmi snd_hda_codec snd_soc_rl6231 parport_pc parport snd_hda_core snd_soc_core snd_hwdep snd_seq elan_i2c snd_compress snd_seq_device snd_pcm_dmaengine
 ac97_bus dw_dmac snd_soc_sst_acpi snd_pcm i2c_designware_platform snd_soc_sst_match i2c_designware_core dell_rbtn spi_pxa2xx_platform snd_timer rfkill snd tpm_tis tpm_tis_core soundcore tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc btrfs xor raid6_pq dm_crypt cdc_mbim cdc_wdm cdc_ncm usbnet mii i915 crct10dif_pclmul crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper ghash_clmulni_intel drm e1000e serio_raw sdhci_pci ptp pps_core sdhci_acpi sdhci mmc_core video i2c_hid fjes
CPU: 3 PID: 1436 Comm: wpa_supplicant Not tainted 4.9.5-200.fc25.x86_64 #1
Hardware name: Dell Inc. Latitude E7240/05PTPV, BIOS A15 05/19/2015
 ffffbb1d41617918 ffffffff883f40bd ffffbb1d41617968 0000000000000000
 ffffbb1d41617958 ffffffff880a202b 0000052d0000011d ffff911245c74c98
 ffff911245c74b50 ffff911247ecd5c0 ffff911245c74b50 0000000000000000
Call Trace:
 [<ffffffff883f40bd>] dump_stack+0x63/0x86
 [<ffffffff880a202b>] __warn+0xcb/0xf0
 [<ffffffff880a20af>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffffc0b577fb>] iwl_mvm_mac_ctxt_add+0xbb/0xd0 [iwlmvm]
 [<ffffffffc0b50a8a>] iwl_mvm_mac_add_interface+0xfa/0x270 [iwlmvm]
 [<ffffffffc0a6290e>] drv_add_interface+0x4e/0x130 [mac80211]
 [<ffffffffc0a7820d>] ieee80211_do_open+0x42d/0x960 [mac80211]
 [<ffffffffc0a7e179>] ieee80211_start_p2p_device+0x59/0x70 [mac80211]
 [<ffffffffc09d86e6>] nl80211_start_p2p_device+0x76/0x120 [cfg80211]
 [<ffffffff8872d84d>] genl_family_rcv_msg+0x1dd/0x3c0
 [<ffffffff8822fd41>] ? __slab_free+0xc1/0x2a0
 [<ffffffff8872a13e>] ? __netlink_sendskb+0x3e/0x60
 [<ffffffff8872da30>] ? genl_family_rcv_msg+0x3c0/0x3c0
 [<ffffffff8872dab7>] genl_rcv_msg+0x87/0xc0
 [<ffffffff8872cfb4>] netlink_rcv_skb+0xa4/0xc0
 [<ffffffff8872d658>] genl_rcv+0x28/0x40
 [<ffffffff8872c99c>] netlink_unicast+0x18c/0x220
 [<ffffffff8872cd27>] netlink_sendmsg+0x2f7/0x3b0
 [<ffffffff886d3a38>] sock_sendmsg+0x38/0x50
 [<ffffffff886d4542>] ___sys_sendmsg+0x2c2/0x2d0
 [<ffffffff880d9ee3>] ? update_curr+0xf3/0x170
 [<ffffffff880e16e4>] ? pick_next_task_fair+0x324/0x4d0
 [<ffffffff8802fdf9>] ? sched_clock+0x9/0x10
 [<ffffffff880d3879>] ? sched_clock_cpu+0x99/0xb0
 [<ffffffff886d4e94>] __sys_sendmsg+0x54/0x90
 [<ffffffff886d4ee2>] SyS_sendmsg+0x12/0x20
 [<ffffffff8881cc77>] entry_SYSCALL_64_fastpath+0x1a/0xa9

Comment 5 Andrey Motoshkov 2017-03-06 07:38:28 UTC
Doesn't exist On Fedora 26:

[ 1821.953056] atkbd serio0: Unknown key pressed (translated set 2, code 0x88 on isa0060/serio0).
[ 1821.953080] atkbd serio0: Use 'setkeycodes e008 <keycode>' to make it known.
[ 1822.563241] iwlwifi 0000:02:00.0: RF_KILL bit toggled to disable radio.
[ 1826.102200] atkbd serio0: Unknown key pressed (translated set 2, code 0x88 on isa0060/serio0).
[ 1826.102212] atkbd serio0: Use 'setkeycodes e008 <keycode>' to make it known.
[ 1826.189119] iwlwifi 0000:02:00.0: RF_KILL bit toggled to enable radio.
[ 1826.559093] usb 1-1.3: new full-speed USB device number 5 using ehci-pci
[ 1826.640124] usb 1-1.3: New USB device found, idVendor=8087, idProduct=07dc
[ 1826.640134] usb 1-1.3: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 1826.664966] Bluetooth: hci0: read Intel version: 370710018002030d00
[ 1826.665320] Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.7.10-fw-1.80.2.3.d.bseq
[ 1826.717220] iwlwifi 0000:02:00.0: L1 Enabled - LTR Enabled
[ 1826.717564] iwlwifi 0000:02:00.0: L1 Enabled - LTR Enabled
[ 1826.898982] usb 1-1.3: USB disconnect, device number 5
[ 1826.937486] iwlwifi 0000:02:00.0: L1 Enabled - LTR Enabled
[ 1826.938003] iwlwifi 0000:02:00.0: L1 Enabled - LTR Enabled

$ uname -r
4.11.0-0.rc0.git9.1.fc26.x86_64

Comment 6 Justin M. Forbes 2017-04-11 14:53:10 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 7 Justin M. Forbes 2017-04-28 17:13:05 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.